Accept session (operator)
curl --request POST \
--url https://api.luxxon.dev/api/v1/api/v1/sessions/{id}/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operatorWorkspaceId": "9d4b6c7f-2e3f-5a8b-0c1d-e2f3a4b5c6d7"
}
'import requests
url = "https://api.luxxon.dev/api/v1/api/v1/sessions/{id}/accept"
payload = { "operatorWorkspaceId": "9d4b6c7f-2e3f-5a8b-0c1d-e2f3a4b5c6d7" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operatorWorkspaceId: '9d4b6c7f-2e3f-5a8b-0c1d-e2f3a4b5c6d7'})
};
fetch('https://api.luxxon.dev/api/v1/api/v1/sessions/{id}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Request successful",
"data": {
"id": "b1e2f3a4-5b6c-7d8e-9f0a-1b2c3d4e5f6a",
"consumerWorkspaceId": "8c3a5b6f-1d2e-4f7a-9b8c-d1e2f3a4b5c6",
"operatorWorkspaceId": "9d4b6c7f-2e3f-5a8b-0c1d-e2f3a4b5c6d7",
"state": "REQUESTED",
"maxDurationSeconds": 600,
"waitTimeoutSeconds": 300,
"ratePerSecondMicroUsdc": "1000",
"holdMicroUsdc": "600000",
"startedAt": null,
"endedAt": null,
"cleanSeconds": 0,
"chargedMicroUsdc": "0",
"settlementTxHash": null,
"videoBackendRef": "6a7aab6e273b40251e8ee72d7ca05719",
"createdAt": "2026-05-13T11:30:00.000Z",
"requestedLat": 4.711234,
"requestedLng": -74.072456,
"authorized": false,
"consistencyToken": "GgEAAAAA...",
"whepUrl": "https://customer-CODE.cloudflarestream.com/UID/webRTC/play",
"whipUrl": "https://customer-CODE.cloudflarestream.com/SECRETkUID/webRTC/publish"
},
"timestamp": "2026-05-13T12:00:00.000Z"
}Sessions
Accept session (operator)
Operator workspace claims a REQUESTED session, transitioning it to ASSIGNED and writing the SpiceDB operator_workspace relation.
POST
/
api
/
v1
/
sessions
/
{id}
/
accept
Accept session (operator)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Example:
"b1e2f3a4-5b6c-7d8e-9f0a-1b2c3d4e5f6a"
Body
application/json
Example:
"9d4b6c7f-2e3f-5a8b-0c1d-e2f3a4b5c6d7"
⌘I